org.wildfly.swarm.microprofile.jwtauth.deployment.auth.cdi

## Class ClaimProviderBeanAttributes

- java.lang.Object
- - org.wildfly.swarm.microprofile.jwtauth.deployment.auth.cdi.ClaimProviderBeanAttributes

-     public class ClaimProviderBeanAttributes
      extends Object

  An implementation of BeanAttributes

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClaimProviderBeanAttributes(<any> delegate, Set<Type> types, Set<Annotation> qualifiers)` Decorate the ConfigPropertyProducer BeanAttributes to set the types the producer applies to.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `Set<Annotation>` | `getQualifiers()`
    `Class<? extends Annotation>` | `getScope()`
    `Set<Class<? extends Annotation>>` | `getStereotypes()`
    `Set<Type>` | `getTypes()`
    `boolean` | `isAlternative()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClaimProviderBeanAttributes

          public ClaimProviderBeanAttributes(<any> delegate,
                                             Set<Type> types,
                                             Set<Annotation> qualifiers)

      Decorate the ConfigPropertyProducer BeanAttributes to set the types the producer applies to. This set is collected from all injection points annotated with @ConfigProperty.
      Parameters:
        `delegate` - - the original producer method BeanAttributes
        `types` - - the full set of @Claim injection point types

  - ### Method Detail

    - #### getTypes

          public Set<Type> getTypes()

    - #### getQualifiers

          public Set<Annotation> getQualifiers()

    - #### getScope

          public Class<? extends Annotation> getScope()

    - #### getName

          public String getName()

    - #### getStereotypes

          public Set<Class<? extends Annotation>> getStereotypes()

    - #### isAlternative

          public boolean isAlternative()

Copyright © 2018 JBoss by Red Hat. All rights reserved.